# studio::Dialog_Preview Class Reference

`#include <dialog_preview.h>`

List of all members.

## Public Member Functions

| Dialog_Preview ()
| ~Dialog_Preview ()
void | set_preview (etl::handle< Preview > prev)
Widget_Preview & | get_widget ()
const Widget_Preview & | get_widget () const
virtual void | on_hide ()

## Constructor & Destructor Documentation

Dialog_Preview::Dialog_Preview | ( |  | ) |

Dialog_Preview::~Dialog_Preview | ( |  | ) |

## Member Function Documentation

void Dialog_Preview::set_preview | ( | etl::handle< Preview > | prev | ) |

References studio::Widget_Preview::set_preview().

Widget_Preview& studio::Dialog_Preview::get_widget | ( |  | ) | `[inline]`

const Widget_Preview& studio::Dialog_Preview::get_widget | ( |  | ) | const`[inline]`

void Dialog_Preview::on_hide | ( |  | ) | `[virtual]`

References studio::Widget_Preview::stop(), and studio::Widget_Preview::stoprender().

The documentation for this class was generated from the following files:

- dialog_preview.h
- dialog_preview.cpp